Subject: fetching an svn repository always results in a different hash
From: julien lepiller <[email-masked]>
To: [email-masked]
Date: Mon, 23 Apr 2018 17:44:08 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I'm trying to use svn-fetch in a new package, but I always get a 
different hash when I try to download the sources. I think this is due 
to fetching external resources. Here are two adresses that trigger this 
bug:

- http://svn.netlabs.org/repos/kbuild/trunk
- https://svn.openstreetmap.org/applications/editors/josm

Here is a package definition I try to use:

(define-public kbuild
   (package
     (name "kbuild")
     (version "0.1.9998")
     (source (origin
               (method svn-fetch)
               (uri (svn-reference
                      (url "http://svn.netlabs.org/repos/kbuild/trunk")
                      (revision 3025)))
               (file-name (string-append name "-" version))
               (sha256
                (base32
                 
"1k7y2lqqhsfwfzzi7rms7a2kakimm7g46qa2gypkvzdd3drbpanj"))))
     (build-system gnu-build-system)
     (home-page "http://trac.netlabs.org/kbuild/wiki")
     (synopsis "Makefile framework")
     (description "kBuild is a makefile framework for writing simple 
makefiles
for complex tasks.")
     (license license:gpl3+)))